KCompTreeNode Class Reference

`#include <kcompletion_private.h>`

Inherits QChar.

## Public Member Functions

| KCompTreeNode (const QChar &ch, uint weight=0)
void * | operator new (size_t s)
void | operator delete (void *s)
KCompTreeNode * | find (const QChar &ch) const
KCompTreeNode * | insert (const QChar &, bool sorted)
void | remove (const QString &)
int | childrenCount () const
void | confirm ()
void | confirm (uint w)
void | decline ()
uint | weight () const
const KCompTreeChildren * | children () const
const KCompTreeNode * | childAt (int index) const
const KCompTreeNode * | firstChild () const
const KCompTreeNode * | lastChild () const

## Public Attributes

KCompTreeNode * | next

## Detailed Description

A helper class for KCompletion.

Implements a tree of QChar.

The tree looks like this (containing the items "kde", "kde-ui", "kde-core" and "pfeiffer". Every item is delimited with QChar( 0x0 )

             some_root_node
                 /     \
                k       p
                |       |
                d       f
                |       |
                e       e
               /|       |
            0x0 -       i
               / \      |
              u   c     f
              |   |     |
              i   o     f
              |   |     |
             0x0  r     e
                  |     |
                  e     r
                  |     |
                 0x0   0x0

Author
  Carsten Pfeiffer pfeif.nosp@m.fer@.nosp@m.kde.o.nosp@m.rg

Definition at line 84 of file kcompletion_private.h.

The documentation for this class was generated from the following files:

- kcompletion_private.h
- kcompletion.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys